Passa ai contenuti principali

Post

Visualizzazione dei post da 2017

Install Intel i915 on ubuntu new

How to install Intel Graphics on Ubuntu newPer le nuove release non sempre, anzi mai, è pronto il l’Intel Graphics Tool fo Linux OS. L’update tool si può scaricare da 01.org Guardando l’ultima release compatibile vediamo che c’è solo ubuntu 17.04 Se install il graphic tool e lo avvii, l’errore dato è sull’incompatibilità di versione. In attesa del rilascio della release si può cercare di fregare il l’update tool modifica il file lsb-releasesudo nano /etc/lsb-release inserendo l’ultima release supportataDISTRIB_ID=Ubuntu DISTRIB_RELEASE=17.10 <-- to 17.04 DISTRIB_CODENAME=artful <-- zesty DISTRIB_DESCRIPTION="Ubuntu 17.10" Dopo aver installato i driver, ricordati di ripristinare i dati dell’lsb-release :P bye

Vue.js inline component

title: Componente Vue.js inline browser tags: vue.js, single file component vue.jsCome creare un componente con Vue.js?Come crearlo e come usarlo direttamente nella pagine? Mi trovo in diversi progetti a bisticciare con jquery che ritengo un ottimo tool, ma non supremo. In ogni progetto possono esistere più tecnologie per risolveere problemi diversi. La SPA la preferisco con React o Angular, ma per creare dei componenti ad hoc o uso Polymer o Vue. Senza scomodare l’intero scaffolding di progetto è possibile creare un semplice componente ed usarlo nella pagina del browser senza fare il transpiling.Come iniziare.Preparo la base di folder. Come server uso quello integrato in php.mkdir vuewjs cd vuejs php -S localhost:8080 touch index.html google-chrome index.html Io uso Ubuntu e quelli sopra sono semplici comandi shell che creano un folder vuejs e dentro creano un file html e avviano il server presente in php7; infine apro con chrome la pagina index.hml.Pagina baseOra prepariamo la pagin…

Ubuntu: La propria installazione di python è danneggiata. Correggere il collegamento simbolico «/usr/bin/python».

Questa è un problema, soprattutto se si vuole aggiornare la distribuzione.+
Dì la verità: hai pacioccato con le versioni di python vero? Volevi usare la 3.5 e non 2.7 e così hai aggiunto alternatives o manipolato il symlink.
No? io si.
Così in fase di aggiornamento mi sono bloccato.
Allora per risolverlo ecco la soluzione: elimina tuttle le eventuali alternative : sudo update-alternatives –remove-all pythoncrea il symlink alla 2.7 sudo ln -s /usr/bin/python3.5 /usr/bin/pythonaggiorna i permessi: sudo chmod 7777 /usr/bin/python
Ora funziona tutto.
La soluzione l’ho scovata qui: https://askubuntu.com/questions/448926/do-release-upgrade-python-install-is-corrupted

Natural scrolling Ubuntu mouse logitech T620 and others

Ho avuto un paio di problemi con il natural scrolling del mouse della Logitech T620 e Ubuntu Gnome Shell
Diciamo che l’applicazione per la configurazione del mouse non funziona molto bene: l’attivazione o la disattivazione del natural scrolling non si ripercuote ne nel touchpad ne nel mouse
Così ho trovato questa bellissima risposta su Ask Ubuntu
A questo punto devo disabilitare sul mouse il natural scrolling.lista degli xinputidentificare il mouselista delle proprietà del mousedisabilitare il natural scrolling09:55:25 ~
.Σ : xinput list
⎡ Virtual core pointer id=2 [master pointer (3)]
⎜ ↳ Virtual core XTEST pointer id=4 [slave pointer (2)]
⎜ ↳ Logitech T620 id=10 [slave pointer (2)]
⎜ ↳ ELAN Touchscreen id=11 [slave pointer (2)]
⎜ ↳ DLL0704:01 06CB:76AE Touchpad id=13 [slave pointer (2)]
⎜ ↳ SynPS/2 Synaptics TouchPad id=16 [sla…

5 step semplici per velocizzare PrestaShop

se hai plesk installato sul server e hai accesso diretto al tuo server tramite ssh e il tuo server è basato su Ubuntu, ecco le istruzioni per installare memcached da usare con PrestaShop
step 1: installare le librerie ubuntu per compilare memcached installare le libreiria di compiliazione (versione ubuntu)
apt install php7.0-dev git pkg-config build-essential libmemcached-dev step 2: clonare il repo di php-memcached clone del repository php-memcached sul server
git clone https://github.com/php-memcached-dev/php-memcached.git step 3: compilare e installare il modulo php di memcached cambiare branch
cd php-memcached git checkout php7 phpize ./configure --disable-memcached-sasl make make test make install step 4: configurare plesk la libreria memcached.so dovrebbe essere stata installata sotto /usr/lib/php/20151012/. Per un check veloce
ll /usr/lib/php/20151012/ infine all’interno del dominio plesk configurare memcached

poi...

step 5: configurare PrestaShop con Memcached nel BO di Presta…

1 mododo per fare il debug smarty in prestashop

Si sa, la prestashop 1.6 non ha più il popup di debug richiamabile da prerfoemance
Ma ciò non vuol dire che non ci sia più il debug.
Samrty lo ricomprende fra i sui tag. Quini basta usarlo.
Ecco 1 modo per fare il debug smarty in PrestaShop
Apri il template prestashop che ti interessa; inserisci all'ainizio del file o alla sua fine il debug smarty {debug}, salva e ricarica la pagina.
ll gioco è fatto.

Trasferimento server to server (LINUX) della casella email

Oggi ho scoperto un tool veramente molto utile per il trasferimento server to servevr delle caselle email. Ed è acnhe veloce.
Si chiama imapsync [rif: https://imapsync.lamiral.info/ ]In pratica il tool da linea di comando si connette via imap al server email precedente e trasporta tutto al server di destinazioneLo uso quando faccio migrazioni di vps.Come funziona imapsync per sincronizzare e emailInternet è una risorsa. Da questo blog ho preso tutte le indicazioni https://www.jverdeyen.be/ubuntu/imapsync-on-ubuntu/Uso una distribuzione ubuntu 14.04. Non esiste un pacchetto precompilato da installare. imapsync si basa su perl. Ve lo ricordate? Mica è andato in disuso.Primo: si installano le dipendenze di imapsync per la migrazione mail server to serversudo apt-get install makepasswd rcs perl-doc libio-tee-perl git libmail-imapclient-perl libdigest-md5-file-perl libterm-readkey-perl libfile-copy-recursive-perl build-essential make automake libunicode-string-perl Secondo: si scarica i…